# $Id: perl-HTML-Encoding.spec 5682 2007-08-04 00:41:11Z dag $
# Authority: dag
# Upstream: Björn Höhrmann <bjoern$hoehrmann,de>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name HTML-Encoding

Summary: Perl module to determine the encoding of HTML/XML/XHTML documents
Name: perl-HTML-Encoding
Version: 0.56
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/HTML-Encoding/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/HTML/HTML-Encoding-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
perl-HTML-Encoding is a Perl module to determine the encoding
of HTML/XML/XHTML documents.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/HTML::Encoding.3pm*
%dir %{perl_vendorlib}/HTML/
%{perl_vendorlib}/HTML/Encoding.pm

%changelog
* Sat Dec 08 2007 Dag Wieers <dag@wieers.com> - 0.56-1 - 5682+/dag
- Updated to release 0.56.

* Sat Aug 04 2007 Dag Wieers <dag@wieers.com> - 0.53-1
- Initial package. (using DAR)
